/*
 * 	crypto_def.h
 *
 * Copyright (c) 2004 Evgeniy Polyakov <johnpol@2ka.mipt.ru>
 * 
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */

#ifndef __CRYPTO_DEF_H
#define __CRYPTO_DEF_H

#define CRYPTO_OP_DECRYPT	0
#define CRYPTO_OP_ENCRYPT	1
#define CRYPTO_OP_HMAC		2

#define CRYPTO_MODE_ECB		0
#define CRYPTO_MODE_CBC		1
#define CRYPTO_MODE_CFB		2
#define CRYPTO_MODE_OFB		3

#define CRYPTO_TYPE_AES_128	0
#define CRYPTO_TYPE_AES_192	1
#define CRYPTO_TYPE_AES_256	2
#define CRYPTO_TYPE_3DES	3

#endif				/* __CRYPTO_DEF_H */
