/*
 * 	crypto_stat.h
 *
 * Copyright (c) 2004 Evgeniy Polyakov <johnpol@2ka.mipt.ru>
 * 
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */

#ifndef __CRYPTO_STAT_H
#define __CRYPTO_STAT_H

#include "acrypto.h"

void crypto_stat_start_inc(struct crypto_session *s);
void crypto_stat_finish_inc(struct crypto_session *s);
void crypto_stat_complete_inc(struct crypto_session *s);
void crypto_stat_ptime_inc(struct crypto_session *s);

#endif				/* __CRYPTO_STAT_H */
